import axios from 'axios';
// ----------------------列表-----------------------
const pageBillUrl = '/lakeLibrary/lakeLibraryInnerCityBill/page';
// 添加
const saveLakeBill = function (data) {
    return axios.post("/lakeLibrary/lakeLibraryInnerCityBill/importBatch",data)
}

// 删除
const removeLakeBill = function (id) {
    return axios.delete(`/lakeLibrary/lakeLibraryInnerCityBill/${id}`,)
}
// 批量删除
const removeBatchLakeBill = function (ids) {
    return axios.delete("/lakeLibrary/lakeLibraryInnerCityBill/batch",{data:ids})
}

// 修改
const updateLakeBill = function (data) {
    return axios.put("/lakeLibrary/lakeLibraryInnerCityBill",data)
}
// 审核
const verifyLakeBill = function (data) {
    return axios.put("/lakeLibrary/lakeLibraryInnerCityBill/verify",data);
}
const getLakeBill = function (id) {
    return axios.get(`/lakeLibrary/lakeLibraryInnerCityBill/${id}`)
}
// -------------------------数据---------------------
const pageLakeUrl = '/lakeLibrary/lakeLibraryInnerCity/page';
// 添加
const saveLake = function (data) {
    return axios.post("/lakeLibrary/lakeLibraryInnerCity",data)
}

// 删除
const removeLake = function (id) {
    return axios.delete(`/lakeLibrary/lakeLibraryInnerCity/${id}`,)
}
// 批量删除
const removeBatchLake = function (ids) {
    return axios.delete("/lakeLibrary/lakeLibraryInnerCity/batch",{data:ids})
}

// 修改
const updateLake = function (data) {
        return axios.put("/lakeLibrary/lakeLibraryInnerCity",data)
}

// -------------------------统计---------------------
const pageLakeStatisticUrl = '/lakeLibrary/lakeLibraryInnerCity/statistic';
const statisticSourceUrl = '/lakeLibrary/lakeLibraryInnerCity/statistic/source';
const statisticYearUrl = '/lakeLibrary/lakeLibraryInnerCity/statistic/year';
const getHistoryyears = function () {
    return axios.get("/lakeLibrary/lakeLibraryInnerCity/history-year")
}
const getColumnOptions = function(column){
    return axios.get("/lakeLibrary/lakeLibraryInnerCity/options",{params:{column}})
}

export {
    pageBillUrl,
    saveLakeBill,
    removeLakeBill,
    updateLakeBill,
    removeBatchLakeBill,
    verifyLakeBill,
    getLakeBill,
    pageLakeUrl,
    saveLake,
    removeLake,
    updateLake,
    removeBatchLake,
    pageLakeStatisticUrl,
    getHistoryyears,
    getColumnOptions,
    statisticSourceUrl,
    statisticYearUrl

}
